post
https://api.lucid.co/v1/documents/import
Imports an external non-Lucid file as a new document within Lucid. The file is uploaded as multipart/form-data. Requires file, type, and product. Optionally, a title and parent folder can be provided. If no title is provided, the new document's title will be the imported filename.
This endpoint can only create a new Lucidchart or Lucidspark document. It cannot modify an existing document's contents.
Document Creation LocationWhen there is no
parentfield on the request, the new document will be created in a default location depending on the authorizing token's scopes.
- If the token authorizing the request uses one of the
document.appscopes, then the document will be created in anapp-specific folder.- If one of the
document.contentscopes is used, the document will be created in the user's 'My Documents folder'.- If both types of scopes are authorized on the token, the
document.contentbehavior will take priority and the document will be created in the user's 'My Documents' folder.
Board import
- The
boardimport type only accepts pdfs that are exports of digital whiteboards.- The
boardimport type can only be authorized by users with a Lucidspark Enterprise license.- The
boardimport type is experimental and importing the same board may produce varying results over time.
Valid Authentication Methods
API Key Grants:
DocumentEdit
OAuth 2.0 User Token Scopes:
lucidchart.document.contentlucidchart.document.app.folderlucidspark.document.contentlucidspark.document.app.folder
403Forbidden.
- if the user doesn't have access to or permissions to create within the specified parent folder.
- if the token authorizing the request has the document.app scope with a specified parent folder that is outside the app folder's folder tree.
- if the token does not have the correct scope for the import type.
- if the token requesting a board import does not have a Lucidspark Enterprise License.
415Unsupported Media Type. The file type provided is not supported.